<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'visitor',

    /*
     * Modules.
     */
    'modules'   => ['visitor'],

    
    'visitor'       => [
        'model' => [
            'model'                 => \Litecms\Visitor\Models\Visitor::class,
            'table'                 => 'visitors',
            'presenter'             => \Litecms\Visitor\Repositories\Presenter\VisitorPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'visitor_id',  'visitor_type',  'ip',  'browser',  'os',  'datetime',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'visitor/visitor',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Visitor',
            'module'    => 'Visitor',
        ],

    ],
];
