<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVisitorsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: visitors
         */
        Schema::create('visitors', function ($table) {
            $table->increments('id');
            $table->string('visitor_id', 255)->nullable();
            $table->string('visitor_type', 255)->nullable();
            $table->string('ip', 255)->nullable();
            $table->string('browser', 255)->nullable();
            $table->string('os', 255)->nullable();
            $table->timestamp('datetime')->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('visitors');
    }
}
