<?php

namespace Litecms\Visitor\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VisitorTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Visitor\Models\Visitor $visitor)
    {
        return [
            'id'                => $visitor->getRouteKey(),
            'key'               => [
                'public'    => $visitor->getPublicKey(),
                'route'     => $visitor->getRouteKey(),
            ], 
            'id'                => $visitor->id,
            'visitor_id'        => $visitor->visitor_id,
            'visitor_type'      => $visitor->visitor_type,
            'ip'                => $visitor->ip,
            'browser'           => $visitor->browser,
            'os'                => $visitor->os,
            'datetime'          => $visitor->datetime,
            'slug'              => $visitor->slug,
            'created_at'        => $visitor->created_at,
            'updated_at'        => $visitor->updated_at,
            'deleted_at'        => $visitor->deleted_at,
            'url'               => [
                'public'    => trans_url('visitor/'.$visitor->getPublicKey()),
                'user'      => guard_url('visitor/visitor/'.$visitor->getRouteKey()),
            ], 
            'status'            => trans('app.'.$visitor->status),
            'created_at'        => format_date($visitor->created_at),
            'updated_at'        => format_date($visitor->updated_at),
        ];
    }
}