<?php

namespace Litecms\Visitor;

use User;

class Visitor
{
    /**
     * $visitor object.
     */
    protected $visitor;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Visitor\Interfaces\VisitorRepositoryInterface $visitor)
    {
        $this->visitor = $visitor;
    }

    /**
     * Returns count of visitor.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.visitor.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->visitor->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\VisitorUserCriteria());
        }

        $visitor = $this->visitor->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('visitor::' . $view, compact('visitor'))->render();
    }
}
